Subject: bug#20149: Cannot byte-compile 'undo-tree' since commit 801eda8a2

From: Vladimir Lomov <[email-masked]>
Date: Fri, 20 Mar 2015 13:15:29 +0800

Hello,

I was able to byte-compile 'undo-tree' package using Emacs from
commit f925fc93 but since that commit Emacs stops compilation with
message:

  In undo-tree-update-menu-bar:
  undo-tree.el:1232:7:Warning: reference to free variable `undo-tree-mode'
  undo-tree.el:1481:1:Error: Symbol's function definition is void: undo-tree-make-node

I don't think this is a problem of the package, because the next four
commits: 801eda8a2, a961dcedeb, b0743354e, 508049aa have some
trouble(s), so I wasn't able to compile Emacs. Below is terminal output
before the stop:

  Loading /home/vladimir/works/projects/pkgbuild/emacs/src/emacs/lisp/select.el (source)...
  Loading /home/vladimir/works/projects/pkgbuild/emacs/src/emacs/lisp/emacs-lisp/timer.el (source)...
  Eager macro-expansion failure: (void-function cl-every)
  Eager macro-expansion failure: (void-function cl-every)
  Symbol's function definition is void: cl-every

---
WBR, Vladimir Lomov

-- 
new, adj.:
	Different color from previous model.